Bug 181444 - Review Request: lcov -- process gcov output into nice html pages
Review Request: lcov -- process gcov output into nice html pages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-14 01:30 EST by Roland McGrath
Modified: 2009-08-26 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 07:04:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2006-02-14 01:30:22 EST
Spec Name or Url: http://people.redhat.com/roland/tmp/lcov.spec
SRPM Name or Url: http://people.redhat.com/roland/tmp/lcov-1.4-1.src.rpm
Description: 

LCOV is an extension of GCOV, a GNU tool which provides information
about what parts of a program are actually executed (i.e. "covered")
while running a particular test case. The extension consists of a set
of PERL scripts which build on the textual GCOV output to implement
HTML output and support for large projects.
Comment 1 Dan Horák 2006-02-15 11:30:31 EST
only one note to the spec
- empty %build => should be omitted

And as this looks as a uncomplicated package I could do a my first formal
package review.
Comment 2 Dan Horák 2006-02-16 02:55:43 EST
The file for Source0 at URL
http://ltp.sourceforge.net/coverage/tools/lcov-%{version}.tar.gz doesn't exist, use 
http://dl.sf.net/ltp/lcov-%{version}.tar.gz instead.
Comment 3 Jason Tibbitts 2006-02-18 17:51:40 EST
Dan, were you going to review this?  It's still unassigned and blocking FE-NEW.
 You should assign it to yourself and make it block FW-REVIEW instead, or let me
know and I'll review it.
Comment 4 Roland McGrath 2006-02-20 20:09:31 EST
I've put a new version in http://people.redhat.com/roland/tmp/ that addresses
the reviewers' comments and fixes another bug.
Comment 5 Dan Horák 2006-03-04 05:38:01 EST
Good:

- rpmlint clean
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package is noarch without a %build section and builds on FC4 (i386)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- works for me

APPROVED
Comment 6 Roland McGrath 2006-03-04 07:04:49 EST
Built in devel.
Comment 7 Christian Iseli 2006-04-08 16:54:58 EDT
Please add the package in owners.list
Comment 8 Roland McGrath 2006-04-09 23:20:14 EDT
I added it to owners.list; I don't know if any more magic is required.
Comment 9 Christian Iseli 2006-04-10 08:49:19 EDT
Thanks.  It all looks fine now, I think.  No additional magic required :-)
Comment 10 Roland McGrath 2009-08-25 15:36:52 EDT
Package Change Request
======================
Package Name: lcov
New Branches: EL-4 EL-5
Owners: roland
Comment 11 Kevin Fenzi 2009-08-26 18:36:13 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.